# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/).

## [1.1.0] - 2020-02-16
### Added
- Add `tsconfig.json`file
- Add `typescript 3.5.2` as `devDependencies`
- Add `.npmignore`

### Changed
- Add TimerEvent to path generation in example
- Remove `example` folder
- Move library files to folder `lib`
- Rename `main.ts` to `astar.ts`
- Adapt `README.md`
- Update `.gitignore`
- Move `astar.ts` to `lib`
- Update `lodash` to version 4.17.15
- Update `typescript` to version 3.7.5
- Small cahnges in the README.md

### Fixed
- Bug that empty array could go into the main while loop of the astar-finder

## [1.0.0] - 2019-07-26
### Added
- Example folder with an integration of this library into [Phaser 3](https://phaser.io/phaser3)
- Separate interfaces into own file `astar-inferfaces.ts`
- Add `Dijkstra's Finder`

### Changed
- New scripts in the `package.json` file
- Update `.gitignore` with `yarn.lock`
- Multiple optimizations in `Grid.ts` and `AStarFinder.ts`
- Update `Heuristics`
- New functionality to include or exclude start and end node when backtracing
- Add interface `IPoint` 

## [0.0.5] - 2019-07-17
### Added
- Add a `CHANGELOG.md` file
- Add [Prettier](https://github.com/prettier/prettier) configuration file `.prettierrc`
- Add `.gitignore` file

### Changed
- Format all *.ts files with [Prettier](https://github.com/prettier/prettier)
- Edit top comments in all *.ts files
- Update lodash version in package.json from 4.17.4 to 4.17.14